﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-linux'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://beta.unity3d.com/download/46dda1414e51/TargetSupportInstaller/UnitySetup-Linux-Support-for-Editor-2017.2.0f3.exe'
$checksum64     = 'acc4f3bf6e8a5648016a96843c190578a17d9499590ce5e77c765ca168242f38'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
